---
description: Learn about storage usage limits for Docker Hub.
keywords: Docker Hub, usage, storage, repository
title: Docker Hub storage usage and limits
linkTitle: Storage
weight: 20
---

{{% include "hub-limits.md" %}}

The following storage and repository limits apply based on your subscription, subject to fair use:

| Plan     | Public repositories | Public repository storage | Private repositories       | Private repository storage |
|----------|---------------------|---------------------------|----------------------------|----------------------------|
| Personal | Unlimited           | Unlimited                 | Up to 1 private repository | Up to 2 GB                 |
| Pro      | Unlimited           | Unlimited                 | Unlimited                  | Up to 5 GB                 |
| Team     | Unlimited           | Unlimited                 | Unlimited                  | Up to 50 GB                |
| Business | Unlimited           | Unlimited                 | Unlimited                  | Up to 500 GB               |

Personal plans exceeding 2 GB of storage will be blocked from pushing and pulling content from their private repository. To unblock, delete unused content to stay within the 2 GB limit or upgrade to a higher plan.

Any storage usage beyond the included amounts in each paid subscription tier
will be charged at an on-demand rate. For more details about storage
calcultations and billing, see [Docker Hub storage
pricing](/manuals/billing/docker-hub-pricing.md).

## View storage usage and repositories

You can view your storage usage on the [Usage page](https://hub.docker.com/usage/storage) in Docker Hub.
